Bug 111245 - XML output mode obscured by bebopStackTrace attribute
XML output mode obscured by bebopStackTrace attribute
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity high
: ---
: ---
Assigned To: Vadim Nasardinov
Jon Orris
:
Depends On:
Blocks: 109665
  Show dependency treegraph
 
Reported: 2003-12-01 06:30 EST by Daniel Berrange
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-03 12:44:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-12-01 06:30:31 EST
Description of problem:
The display of document XML when appending ?output=xml has been made
completely unusable by the addition of enourmous bebopStackTrace
attributes to every single element. Usefulness of this page is of
critical importance of web designers.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Turn on waf.debug
2. View a page with ?output=xml
3.
  
Actual results:
<?xml version="1.0" encoding="UTF-8"?>
<bebop:page xmlns:bebop="http://www.arsdigita.com/bebop/1.0"
application="portal"
bebopStackTrace="com.arsdigita.bebop.Page.generateXMLHelper(Page.java:605)&#xA;co
m.arsdigita.aplaws.ui.SimplePage.generateXMLHelper(SimplePage.java:37)&#xA;com.arsdigita.bebop.Page.generateXML(Page.java:634)&#xA;com.arsdigita.bebop.jsp.DefinePa
ge.doEndTag(DefinePage.java:197)&#xA;_templates._ccm_22dldn_22dportal._portal._index__jsp._jspService(_index__jsp.java:127)&#xA;com.caucho.jsp.JavaPage.service(Jav
aPage.java:75)&#xA;com.caucho.jsp.Page.subservice(Page.java:506)&#xA;com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)&#xA;com.caucho.serve
r.http.Invocation.service(Invocation.java:315)&#xA;com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:222)&#xA;com.caucho.server.http.QReque
stDispatcher.forward(QRequestDispatcher.java:103)&#xA;com.caucho.server.http.FileServlet.service(FileServlet.java:307)&#xA;com.caucho.server.http.FilterChainServle
t.doFilter(FilterChainServlet.java:96)&#xA;com.caucho.server.http.Invocation.service(Invocation.java:315)&#xA;com.caucho.server.http.QRequestDispatcher.forward(QRe
questDispatcher.java:222)&#xA;com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:103)&#xA;com.caucho.server.http.QRequestDispatcher.forward(
QRequestDispatcher.java:80)&#xA;com.arsdigita.web.ApplicationFileServlet.doService(ApplicationFileServlet.java:144)&#xA;com.arsdigita.web.BaseApplicationServlet$1.
excurse(BaseApplicationServlet.java:111)&#xA;com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)&#xA;com.arsdigita.web.BaseApplicationServlet.doServi
ce(BaseApplicationServlet.java:105)&#xA;com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:167)&#xA;com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.
java:57)&#xA;com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:142)&#xA;com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:252)&#xA;javax.servlet.ht
tp.HttpServlet.service(HttpServlet.java:126)&#xA;javax.servlet.http.HttpServlet.service(HttpServlet.java:103)&#xA;com.caucho.server.http.FilterChainServlet.doFilte
r(FilterChainServlet.java:96)&#xA;com.caucho.server.http.Invocation.service(Invocation.java:315)&#xA;com.caucho.server.http.QRequestDispatcher.forward(QRequestDisp
atcher.java:222)&#xA;com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:103)&#xA;com.caucho.server.http.QRequestDispatcher.forward(QRequestD
ispatcher.java:80)&#xA;com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:227)&#xA;com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:211)&#xA;
com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:135)&#xA;com.arsdigita.web.DispatcherServlet.doService(DispatcherServlet.java:123)&#xA;com.arsdigita.
web.BaseServlet$1.excurse(BaseServlet.java:167)&#xA;com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)&#xA;com.arsdigita.web.BaseServlet.internalSer
vice(BaseServlet.java:142)&#xA;com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:252)&#xA;javax.servlet.http.HttpServlet.service(HttpServlet.java:126)&#xA;javax
.servlet.http.HttpServlet.service(HttpServlet.java:103)&#xA;com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)&#xA;com.arsdigita.london
.shortcuts.ShortcutFilter.doService(ShortcutFilter.java:79)&#xA;com.arsdigita.web.BaseFilter.doFilter(BaseFilter.java:99)&#xA;com.caucho.server.http.FilterChainFil
ter.doFilter(FilterChainFilter.java:88)&#xA;com.caucho.server.http.Invocation.service(Invocation.java:315)&#xA;com.caucho.server.http.HttpRequest.handleRequest(Htt
pRequest.java:246)&#xA;com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)&#xA;com.caucho.server.TcpConnection.run(TcpConnection.java:139)&#x
A;java.lang.Thread.run(Thread.java:513)&#xA;" class="simplePage"
id="itemPage" textOnly="0" url="/ccm/portal/?output=xml">
   <bebop:title>APLAWS</bebop:title>
...rest of crap snipped to save space...

Expected results:
<?xml version="1.0" encoding="UTF-8"?>
<bebop:page xmlns:bebop="http://www.arsdigita.com/bebop/1.0"
application="portal"  class="simplePage" id="itemPage" textOnly="0"
url="/ccm/portal/?output=xml">
   <bebop:title>APLAWS</bebop:title>
   <ui:siteBanner xmlns:ui="http://www.arsdigita.com/ui/1.0" admin=""
 hostname="dev" metadata.tag="bottom" sitename="dev:9068"/>
   <ui:debugPanel xmlns:ui="http://www.arsdigita.com/ui/1.0" 
metadata.tag="bottom">
      <ui:debugLink title="View document XML" type="generic"
url="/ccm/portal/?output=xml"/>
      <ui:debugLink title="Download XSL files" type="generic"
url="/ccm/portal/?output=xsl"/>
      <ui:debugLink title="Display transformation" type="add"
url="/ccm/portal/?output=xml&amp;debug=transform"/>
   </ui:debugPanel>
   <ui:userBanner xmlns:ui="http://www.arsdigita.com/ui/1.0" 
familyName="Account" givenName="Administrator" greeting="Welcome "
helpLabel="Help " loginURL="/ccm/register/" logoutURL="/ccm/regis
ter/logout" metadata.tag="top" portalLabel="My Portal "
primaryEmail="admin@example.com" screenName="admin" signoutLabel="Sign
out " userID="[com.arsdigita.kernel.User:{id=17}]" workspaceURL="/c
cm/portal/"/>
   <bebop:form action="/ccm/portal/"  name="RecentPollForm">
      <bebop:gridPanel >
         <bebop:formWidget  name="form.RecentPollForm" type="hidden"
value="visited"/>
      </bebop:gridPanel>
      <bebop:pageState name="bbp.s" value="4"/>
      <bebop:pageState name="bbp.i" value="d0.1"/>
      <bebop:pageState name="g11n.enc" value="UTF-8"/>
   </bebop:form>
   <portal:workspace
xmlns:portal="http://www.uk.arsdigita.com/portal/1.0"  id="left">
      <bebop:link 
href="/ccm/portal/?bbp.s=8&amp;bbp.i=d0.1&amp;g11n.enc=UTF-8"
href_no_javascript="/ccm/portal/?bbp.s=8&amp;bbp.i=d0.1&amp;g11n.enc=UTF-8"
type="action">
         <bebop:label  escape="no">customize</bebop:label>
      </bebop:link>
      <bebop:portal  title="Left"/>
   </portal:workspace>
   <portal:workspace
xmlns:portal="http://www.uk.arsdigita.com/portal/1.0"  id="middle">
      <bebop:link 
href="/ccm/portal/?bbp.s=298&amp;bbp.i=d0.1&amp;g11n.enc=UTF-8"
href_no_javascript="/ccm/portal/?bbp.s=298&amp;bbp.i=d0.1&amp;g11n.enc=UTF-8"
type="action">
         <bebop:label  escape="no">customize</bebop:label>
      </bebop:link>
      <bebop:portal  title="Middle"/>
   </portal:workspace>
   <portal:workspace
xmlns:portal="http://www.uk.arsdigita.com/portal/1.0"  id="right">
      <bebop:link 
href="/ccm/portal/?bbp.s=588&amp;bbp.i=d0.1&amp;g11n.enc=UTF-8"
href_no_javascript="/ccm/portal/?bbp.s=588&amp;bbp.i=d0.1&amp;g11n.enc=UTF-8"
type="action">
         <bebop:label  escape="no">customize</bebop:label>
      </bebop:link>
      <bebop:portal  title="Right"/>
   </portal:workspace>
</bebop:page>


Additional info:

This is blocking APLAWS web designers & so must be fixed for Dec 5.
Comment 1 Vadim Nasardinov 2003-12-01 14:24:45 EST
Fixed in change 38387.  See also today's comment on bug 98899.

Note You need to log in before you can comment on or make changes to this bug.